﻿// AsTheDaysGoBy by Charles Petzold, January 2010
using System;
using System.Windows;
using System.Windows.Controls;

namespace AsTheDaysGoBy
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ctrlOver.Content = DateTime.Now;
            ctrlUnder.Content = (DateTime)ctrlOver.Content + TimeSpan.FromDays(1);

            Loaded += OnLoaded;
        }

        void OnLoaded(object sender, RoutedEventArgs args)
        {
            storyboard.Completed += OnStoryboardCompleted;
            storyboard.Begin();
        }

        void OnStoryboardCompleted(object sender, EventArgs args)
        {
            ctrlOver.Content = ctrlUnder.Content;
            storyboard.Stop();
            ctrlUnder.Content = (DateTime)ctrlOver.Content + TimeSpan.FromDays(1);
            storyboard.Begin();
        }
    }
}
